# Class Out

java.lang.Object
org.apache.jasper.tagplugins.jstl.core.Out

All Implemented Interfaces:
  `TagPlugin`

public final class Out extends Object implements TagPlugin
Tag plugin for the JSTL out tag.

## Constructor Summary

Constructors
Constructor
Description
`Out()`
Constructs an Out tag plugin.

## Method Summary

Modifier and Type
Method
Description
`void`
`doTag(TagPluginContext ctxt)`
Generate codes for a custom tag.
`static boolean`
`output(JspWriter out, Object input, String value, String defaultValue, boolean escapeXml)`
Performs output of a value to the JspWriter.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Out

public Out()
Constructs an Out tag plugin.

## Method Details

### doTag

public void doTag(TagPluginContext ctxt)
Description copied from interface: `TagPlugin`
Generate codes for a custom tag.

Specified by:
  `doTag` in interface `TagPlugin`
Parameters:
  `ctxt` - a TagPluginContext for accessing Jasper functions

### output

public static boolean output(JspWriter out, Object input, String value, String defaultValue, boolean escapeXml) throws IOException
Performs output of a value to the JspWriter.

Parameters:
  `out` - The JspWriter to write to
  `input` - The input object
  `value` - The value to output
  `defaultValue` - The default value
  `escapeXml` - Whether to escape XML
Returns:
  true if output was performed
Throws:
  `IOException` - if an I/O error occurs